Valid Values
Exception Item Processing
>
API Reference
>
v1
>
Valid Values
openapi: 3.0.3
info:
version: v1
title: Exception Item Processing API - Valid Values
description: Digital Core Exception Item Processing API - Management of a Financial Institution's Exception Item Processing
contact:
name: Digital Core @ Jack Henry and Associates, inc.
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: https://{API_ENDPOINT}
variables:
API_ENDPOINT:
default: digital.garden-fi.com
security:
- bearerAuth: []
tags:
- name: Valid Values
description: APIs for retrieving valid values for exception items
paths:
/a/api/eip/v1/{InstitutionUniversalId}/valid-values:
get:
tags:
- Valid Values
summary: API to Get All Valid Values for Exception Sources
description: API to Get All Valid Values for Exception Sources
operationId: GetValid-Values
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
responses:
'200':
description: OK
content:
application/json:
schema:
type: object
description: Response schema for valid values
additionalProperties:
type: object
description: Defines the set of valid values for a single exception source.
properties:
feeDecisionOptions:
type: array
items:
type: string
enum:
- No Action
feeWaiveReasons:
type: array
items:
type: string
enum:
- Not Applicable
decisionOptions:
type: array
items:
type: string
enum:
- Retry
- Return
- Force Post
- No Action
- Manual Post
accountTypes:
type: array
items:
type: string
enum:
- Checking
- Savings
- General Ledger
- Loan
- Certificate of Deposit
- Club
- Overdraft Protection
- Unspecified
transactionTypes:
type: array
items:
type: string
enum:
- ACH
- Check
- ATM
- AFT
- Unspecified
exceptionTypes:
type: array
items:
type: string
enum:
- Charge Back
- Charged Off Account
- Closed Account
- Credit Back
- Dormant Account
- Duplicate
- Escheated Account
- Invalid Transaction Data
- Other
- Overdraft
- Positive Pay Review
- Restricted Account
- Stop Payment Match
- Stop Payment Suspect
- Unable To Locate
achTransactionCodes:
type: array
items:
type: string
achTransactionCodeDescriptions:
type: array
items:
type: string
returnReasons:
type: array
items:
type: string
returnReasonDescriptions:
type: array
items:
type: string
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/eip/v1/{InstitutionUniversalId}/attribute-valid-values:
get:
tags:
- Valid Values
summary: API to Get All Valid Values for Exception Attributes
description: API to Get All Valid Values for Exception Attributes
operationId: GetAttributeValid-Values
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
responses:
'200':
description: OK
content:
application/json:
schema:
type: object
description: Defines the set of valid values for a single exception source.
properties:
feeDecisionOptions:
type: array
items:
type: string
enum:
- No Action
feeWaiveReasons:
type: array
items:
type: string
enum:
- Not Applicable
decisionOptions:
type: array
items:
type: string
enum:
- Retry
- Return
- Force Post
- No Action
- Manual Post
accountTypes:
type: array
items:
type: string
enum:
- Checking
- Savings
- General Ledger
- Loan
- Certificate of Deposit
- Club
- Overdraft Protection
- Unspecified
transactionTypes:
type: array
items:
type: string
enum:
- ACH
- Check
- ATM
- AFT
- Unspecified
exceptionTypes:
type: array
items:
type: string
enum:
- Charge Back
- Charged Off Account
- Closed Account
- Credit Back
- Dormant Account
- Duplicate
- Escheated Account
- Invalid Transaction Data
- Other
- Overdraft
- Positive Pay Review
- Restricted Account
- Stop Payment Match
- Stop Payment Suspect
- Unable To Locate
achTransactionCodes:
type: array
items:
type: string
achTransactionCodeDescriptions:
type: array
items:
type: string
returnReasons:
type: array
items:
type: string
returnReasonDescriptions:
type: array
items:
type: string
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Thu Jan 15 2026